Skip to main content
PUT
/
api
/
projects
/
{project_id}
Update Project
curl --request PUT \
  --url https://api.example.com/api/projects/{project_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "color": "<string>",
  "icon": "<string>",
  "name": "<string>",
  "odoo_edition": "<string>",
  "odoo_version": "<string>",
  "repositories": [
    {
      "github_repository": "<string>",
      "production_branch": "<string>"
    }
  ]
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "odoo_edition": "<string>",
  "odoo_version": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "color": "#3B82F6",
  "icon": "Box",
  "organization_color": "<string>",
  "organization_icon": "<string>",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_name": "<string>",
  "owner_type": "user",
  "repositories": [],
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required

Body

application/json
color
string | null
icon
string | null
name
string | null
odoo_edition
string | null
odoo_version
string | null
repositories
RepositoryInput · object[] | null

Response

Successful Response

created_at
string<date-time>
required
id
string<uuid>
required
name
string
required
odoo_edition
string
required
odoo_version
string
required
updated_at
string<date-time>
required
color
string | null
default:#3B82F6
icon
string | null
default:Box
organization_color
string | null
organization_icon
string | null
organization_id
string<uuid> | null
organization_name
string | null
owner_type
string
default:user
repositories
RepositoryResponse · object[]
user_id
string<uuid> | null